# $Revision: 1.18 $, $Date: 2011/08/13 14:21:28 $
# TODO:
# - fix pl description (it's ugly)
%define		status		beta
%define		pearname	Net_SMS
%include	/usr/lib/rpm/macros.php
Summary:	%{pearname} - SMS functionality
Summary(pl.UTF-8):	%{pearname} - obsługa SMS
Name:		php-pear-%{pearname}
Version:	0.2.0
Release:	1
License:	LGPL
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{pearname}-%{version}.tgz
# Source0-md5:	b5050c69a7967361e630d0483788e7c4
URL:		http://pear.php.net/package/Net_SMS/
BuildRequires:	php-pear-PEAR
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.580
Requires:	php-common >= 3:4.2.0
Requires:	php-gettext
Requires:	php-pear
Suggests:	php-pear-HTTP_Request
Suggests:	php-pear-Mail
Suggests:	php-pear-Net_SMPP_Client
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# exclude optional dependencies
%define		_noautoreq	'pear(HTTP/Request.*)' 'pear(Mail.*)' pear(Net/SMPP/Client.*)

%description
This package provides SMS functionality and access to SMS gateways.

In PEAR status of this package is: %{status}.

%description -l pl.UTF-8
Ten pakiet dostarcza obsługę SMS jak i bramek do wysyłania wiadomości.

Ta klasa ma w PEAR status: %{status}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ -f %{_docdir}/%{name}-%{version}/optional-packages.txt ]; then
	cat %{_docdir}/%{name}-%{version}/optional-packages.txt
fi

%files
%defattr(644,root,root,755)
%doc install.log optional-packages.txt
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/Net/*.php
%{php_pear_dir}/Net/SMS

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-Net_SMS.spec,v $
Revision 1.18  2011/08/13 14:21:28  glen
- updated to: 0.2.0

Revision 1.17  2010/08/21 19:09:11  glen
- updated deps with pearize.sh
- release 4

Revision 1.16  2008/01/31 12:16:49  glen
- rel 3

Revision 1.15  2007-02-13 08:06:40  glen
- tabs in preamble

Revision 1.14  2007/02/12 01:06:24  baggins
- converted to UTF-8

Revision 1.13  2006/11/26 14:11:30  glen
- rel 2: use php(extension) virtuals

Revision 1.12  2006/05/23 20:18:14  glen
- BR rpm-build macros >= 1.300 for %pear_ macros

Revision 1.11  2006/05/19 19:42:54  glen
- 0.1.0

Revision 1.10  2006/03/29 22:29:17  glen
- rel 3 (rebuild with less deps)

Revision 1.9  2006/03/07 10:20:48  glen
- BR php-pear-PEAR

Revision 1.8  2005/10/05 20:59:19  glen
- rel 2

Revision 1.7  2005/10/03 22:59:16  glen
- semi automatically added deps from pear

Revision 1.6  2005/09/29 00:03:05  glen
- new pear packaging

Revision 1.5  2005/05/08 16:40:01  adamg
- updated to 0.0.2

Revision 1.4  2004/12/04 13:21:59  adamg
- rebuild with new PEAR provides/requires scripts
- release 2

Revision 1.3  2004/10/31 22:10:47  paladine
- spaces->tabs
- formatting

Revision 1.2  2004/06/05 20:28:47  adamg
- fixed License

Revision 1.1  2004/06/05 20:11:13  adamg
- new
